<wicket:extend xmlns:wicket="http://wicket.apache.org">

    <h2 class="page-header">Ročník súťaže</h2>

    <div class="row">
        <div class="col-xs-12">
            <p>
                Pre ročník súťaže je potrebné nastaviť sútaž, rok a url štatistiky.
                Url štatistika je dôležitá pre správne nainicializovanie priebehu ročníka, ako aj samotneho
                updatovania priebehu. Pre novonadefinovaný ročník, je dostupná akcia, inicializácie ročníka.
                Inicializácia spočíva v natiahnutí zápasov zo zadanej urlky štatistík.<br>
                Na pridanie nového ročníka súťaže slúži icona <i class="fa fa-fw fa-plus" aria-hidden="true"></i>,
                icona <i class="fa fa-fw fa-check" aria-hidden="true"></i> znázorňuje aktívny ročník.
                Odstránením sa daný ročník iba deaktivuje <i class="fa fa-fw fa-trash" aria-hidden="true"></i>.
                Aktuálny ročník (ročník, na ktorý sa môže tipovať) je označený <i class="fa fa-fw fa-star-o" aria-hidden="true"></i>.
            </p>
        </div>
    </div>

    <div class="row">

        <!-- formular pre zalozenie/editacia -->
        <div class="col-xs-4" wicket:id="rocnikDiv">
            <form wicket:id="rocnikForm">
                <div class="form-group">
                    <label for="sutaz">Súťaž</label>
                    <select id="sutaz" wicket:id="sutaz" class="form-control">
                        <option>vyberte</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="rok">Rok</label>
                    <input id="rok" wicket:id="rok" type="text" class="form-control" />
                </div>
                <div class="form-group">
                    <label for="vitaz">Víťaz ročníka</label>
                    <select id="vitaz"
                            wicket:id="vitazRocnika"
                            class="form-control"
                            style="width: 150px;"
                            title="Víťaz ročníka">
                        <option>vyberte</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="statistika">Štatistika</label>
                    <input id="statistika"
                           wicket:id="statistikaUrl"
                           class="form-control"
                           type="text"
                           title="Povinná pre online inicializáciu ročníka súťaže, ako aj aktualizáciu priebehu ročníka." />
                </div>
                <div class="checkbox">
                    <label>
                        <input type="checkbox" wicket:id="aktualny">
                        Nastaviť ako aktuálny
                    </label>
                </div>

                <button type="submit" class="btn btn-default">Spracovať</button>
            </form>
        </div>

        <!--zoznam -->
        <div class="col-xs-8" style="height:250px;overflow-y: auto;"  wicket:id="rocnikyDiv">
            <table class="table">
                <thead>
                <tr>
                    <th>
                        <span wicket:id="pridajLink"
                              class="fa fa-fw fa-plus"
                              style="cursor: pointer"
                              aria-hidden="true"
                              title="Vyčistí spracovateľský formulár"></span>
                    </th>
                    <th>Súťaž</th>
                    <th>Rok</th>
                    <th>Víťaz</th>
                    <th>Štatistika</th>
                    <th>Akcia</th>
                </tr>
                </thead>
                <tbody>
                <tr wicket:id="rocnikRiadok">
                    <td>
                        <span wicket:id="iconStatus"></span>
                    </td>
                    <td>
                        <span wicket:id="sutaz.nazov">World Champions Ice Hockey</span>&nbsp;
                        <span wicket:id="iconAktualna"></span>
                    </td>
                    <td wicket:id="rok">
                        2013
                    </td>
                    <td>
                        <div wicket:id="vitazVlajka"></div>
                    </td>
                    <td>
                        <a wicket:id="statistikaUrl">stats.com</a>
                    </td>
                    <td>
                    <span wicket:id="akcieDiv">
                        <span wicket:id="inicializujZapasySpan">
                            <a wicket:id="inicializujZapasyLink" title="Inicializácia priebehu ročníka podľa nadefinovanej linky štatistiky">inicializovať</a> |
                        </span>
                        <span wicket:id="updatePriebehRocnikaSpan">
                            <a wicket:id="updatePriebehRocnikaLink" title="Aktualiuzácia priebehu ročníka">aktualizovať</a> |
                        </span>
                        <a wicket:id="zmenitLink" title="Zmena ročníka">zmeniť</a>    |
                        <a wicket:id="odstranitLink" title="Odstránenie ročníka">odstrániť</a>
                    </span>
                        <a wicket:id="aktivovatLink" title="Aktivácia ročníka">aktivovať</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

    <!-- modalne okno pre potvrdenie akcie -->
    <div wicket:id="potvrdenieModalDialogDiv">
        <div wicket:id="potvrdenieModalDialog">potvrdenie akcie</div>
    </div>

</wicket:extend>